> For the complete documentation index, see [llms.txt](https://docs.sparkloop.app/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sparkloop.app/api-v2/objects-schema/offer-object.md).

# Offer Object

### Example

```json
{
  "uuid": "offer_123abc",
  "name": "MyString",
  "headline": "MyString",
  "description": "MyString",
  "callout": "MyString",
  "redirect_url": "sparkloop.app",
  "conversion_type": "action",
  "visibility": "public",
  "status": "active",
  "created_at": "2025-11-18T09:07:48.559Z",
  "landscape_image_url": "image-url",
  "portrait_image_url": "image-url",
  "geo_restrictions": {"allow_worldwide_referrals": true, "allowed_countries": [], "blocked_countries": []},
  "monthly_budget": 2222.0,
  "cpa": 2.0,
  "conversion_event": "purchase",
  "terms": "MyString"
}
```

<table><thead><tr><th width="217">Property</th><th width="140.66666666666666">Type</th><th>Description</th></tr></thead><tbody><tr><td>uuid</td><td>string</td><td>the unique ID of the offer</td></tr><tr><td>name</td><td>string</td><td>the internal name of the offer</td></tr><tr><td>headline</td><td>string</td><td>public title of the offer</td></tr><tr><td>description</td><td>string</td><td>public description of the offer</td></tr><tr><td>callout</td><td>string</td><td>short phrase that should grab attention and pops on the offer's image</td></tr><tr><td>redirect_url</td><td>string</td><td>the URL people are redirected to when they click on the offer link</td></tr><tr><td>conversion_type</td><td>string</td><td> Click/Lead/Action</td></tr><tr><td>visibility</td><td>string</td><td>whether it's an internal offer or partner offer</td></tr><tr><td>status</td><td>string</td><td>the status of the offer</td></tr><tr><td>created_at</td><td>timestamp</td><td>the date the offer was created</td></tr><tr><td>landscape_image_url</td><td>string</td><td>URL to the landscape image</td></tr><tr><td>portrait_image_url</td><td>integer</td><td>URL to the portrait image</td></tr><tr><td>geo_restrictions</td><td>object</td><td><p>the geo-restrictions applied to this offer. The object includes:</p><ul><li>allow_worldwide_referrals (boolean)</li><li>allowed_countries (array) -> which countries are allowed (Alpha-2 ISOCODE)</li><li>blocked_countries (array) -> which countries are blocked (Alpha-2 ISOCODE)</li></ul><p></p></td></tr><tr><td>monthly_budget</td><td>float </td><td>the total monthly budget in dollars</td></tr><tr><td>cpa</td><td>float </td><td>how much this offer pays per confirmed lead in dollars</td></tr><tr><td>conversion_event</td><td>string</td><td>Defines the action a person must complete for the conversion to become payable (applies only to offers using the <strong>Action</strong> conversion type)</td></tr><tr><td>terms</td><td>string</td><td>custom terms and conditions of the brand (available only for offers of "Action" conversion_type)</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sparkloop.app/api-v2/objects-schema/offer-object.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
